Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class XBeanDebug

    java.lang.Object
      org.apache.xmlbeans.impl.common.XBeanDebug

    public class XBeanDebug

extends java.lang.Object

Field Summary
`static java.lang.String` | `defaultProp`
`static int` | `TRACE_SCHEMA_LOADING`
`static java.lang.String` | `traceProp`

Constructor Summary
`XBeanDebug()`

Method Summary
`static void` | `disable(int bits)`
`static void` | `enable(int bits)`
`static java.lang.String` | `log(java.lang.String message)`
`static java.lang.Throwable` | `logException(java.lang.Throwable t)`
`static java.lang.String` | `logStackTrace(java.lang.String message)`
`static boolean` | `test(int bits)`
`static void` | `trace(int bits, java.lang.String message, int indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE_SCHEMA_LOADING

    public static final int TRACE_SCHEMA_LOADING

See Also:
  Constant Field Values

### traceProp

    public static final java.lang.String traceProp

See Also:
  Constant Field Values

### defaultProp

    public static final java.lang.String defaultProp

See Also:
  Constant Field Values

Constructor Detail

### XBeanDebug

    public XBeanDebug()

Method Detail

### enable

    public static void enable(int bits)

### disable

    public static void disable(int bits)

### trace

    public static void trace(int bits,
                             java.lang.String message,
                             int indent)

### test

    public static boolean test(int bits)

### log

    public static java.lang.String log(java.lang.String message)

### logStackTrace

    public static java.lang.String logStackTrace(java.lang.String message)

### logException

    public static java.lang.Throwable logException(java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD